package mg

#######################################################################
# java images/scripts
#######################################################################

# the _javalinks_ macros are the flashy image links at the top right of
# the page. 

_javalinks_ {_imagehome_}
_javalinks_ [v=1] {
_imagehome_<br>
}


#######################################################################
# icons
#######################################################################

_iconhmg_ {<img src="_httpiconhmg_" width=_widthhmg_ height=_heighthmg_}

#######################################################################
# http macros 
#
# These contain the url without any quotes
#######################################################################

_httpiconhmg_ {_httpimg_/h\_mg.gif}
_widthhmg_ {200}
_heighthmg_ {57}


#######################################################################
# page content
#######################################################################

_pagetitle_ {NZDL: MG}

_imagethispage_ {_iconhmg_}

_content_ {
_iconblankbar_

<p><i>MG</i> is a freely-available full-text retrieval system that
makes efficient use of disk resources by storing the index, and the
text that is indexed, in compressed form. The <i>MG</i> system is 
described in the eponymous book 
<a href="http://www.cs.mu.oz.au/mg/"><i>Managing
Gigabytes</i></a>. To meet
the needs of The New Zealand Digital Library we have made a number
of improvements to the standard <i>MG</i> distribution. These
improvements are being made available as <i>MG-1.3</i>.

<p><i>MG-1.3</i> offers:

<dl>

<dt><b>Flexible stemming methods</b>
<dd>Different stemming methods can be used in the same collection. In the
original version a collection could only use a single stemming method, now
all four combinations of stemming and casefolding can be used in queries.
This can be applied to whole queries as well as individual words.

<dt><b>Weighting terms</b>
<dd>Weightings can be applied to individual terms in a ranked query. This
allows a user to influence the order that documents are returned with
documents with the higher rated words nearer the top.

<dt><b>Term frequencies</b>
<dd>The number of times each query term appears in the collection can be
displayed during a query. 

<dt><b>Decompression of text</b>
<dd>A small program is included in the distribution which allows you to
decompress all the text with the document and paragraph breaks inserted
at all the right places. With minimal programming you could then rebuild
the collection from the compressed text.

<dt><b>Merging of level 3 indexes</b>
<dd>In the original version merging indexes was only implemented for
level 2 indexes. We have extended this to also include level 3 indexes.

<dt><b>Machine independant indexes</b>
<dd>The indexes are now always written using network byte ordering, which
is big endian. This means that indexes built on little endian machines can
be used on big endian machines providing the two machines have data types
the same length and use the same floating point formats.

<dt><b>Port to MSDOS</b>
<dd>A port of <i>MG</i> to MSDOS with 32 bit processing has also been
incorporated into the distribution. This port allows <i>MG</i> to be
compiled on Windows95 and WindowsNT.

</dl>
<br>

<h3>Installing MG-1.3</h3>

Installing <i>MG-1.3</i> on unix systems is the same as the standard 
distribution.

<ul>

<li>Download the <a href="http://nzdl2.cs.waikato.ac.nz/technology/mg-1.3f.tar.gz"><i>MG-1.3f</i></a>
distribution.
<li>Change your current working directory to where the distribution was unpacked and
type &quot;<tt>./configure --prefix=`pwd`;</tt>&quot;. When the configure script has finished
running type &quot;<tt>make</tt>&quot; and then &quot;<tt>make install</tt>&quot;.
<li>Test the installation by typing &quot;<tt>make check</tt>&quot;.

</ul>

If you have trouble during installation procedure see the INSTALL instructions
included with the distribution.

<p>Installing <i>MG-1.3f</i> on 32-bit MSDOS operating systems currently consists of
typing &quot;nmake win32.mak&quot; in both the lib and src&\#092;text directories.
The makefiles may need some work depending on your compiler.

<p><br>

<h3>Bugs</h3>

<p>Please report problems specific to <i>MG-1.3</i> to the <a
href="mailto:nzdl@cs.waikato.ac.nz">New Zealand Digital Library
administrator</a>. For general problems mail the
<a href="http://www.cs.mu.oz.au/mg/"><i>MG</i>
mailing list</a> which services a community of experienced <i>MG</i>
users.
}
